<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Oasis3-MCT: /home/globc2/tcraig/oasis3-mct.trunk/lib/psmile/src/mod_oasis_advance.F90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Oasis3-MCT
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_97aefd0d527b934f1d99a682da8fe6a9.html">lib</a></li><li class="navelem"><a class="el" href="dir_6f83a59929ac69cee82ded507f083b9f.html">psmile</a></li><li class="navelem"><a class="el" href="dir_dcfc5ad42d3b5a64023b870fcbdcd859.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">mod_oasis_advance.F90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="mod__oasis__advance_8_f90_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacemod__oasis__advance"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__advance.html">mod_oasis_advance</a></td></tr>
<tr class="memdesc:namespacemod__oasis__advance"><td class="mdescLeft">&#160;</td><td class="mdescRight">Advances the OASIS coupling. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a480bfe5b333300c1084af8f9c239a81d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__advance.html#a480bfe5b333300c1084af8f9c239a81d">mod_oasis_advance::oasis_advance_init</a> (kinfo)</td></tr>
<tr class="memdesc:a480bfe5b333300c1084af8f9c239a81d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the OASIS fields.  <a href="namespacemod__oasis__advance.html#a480bfe5b333300c1084af8f9c239a81d">More...</a><br /></td></tr>
<tr class="separator:a480bfe5b333300c1084af8f9c239a81d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a932b0cbe5d1f5fa27c283c6472be7baf"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__advance.html#a932b0cbe5d1f5fa27c283c6472be7baf">mod_oasis_advance::oasis_advance_run</a> (mop, varid, msec, kinfo, nff, namid, array1din, array1dout, array2dout, readrest, a2on, array2, a3on, array3, a4on, array4, a5on, array5, writrest, varnum)</td></tr>
<tr class="memdesc:a932b0cbe5d1f5fa27c283c6472be7baf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Advances the OASIS coupling.  <a href="namespacemod__oasis__advance.html#a932b0cbe5d1f5fa27c283c6472be7baf">More...</a><br /></td></tr>
<tr class="separator:a932b0cbe5d1f5fa27c283c6472be7baf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0514c843d051b8ee16adfb349eaee6a7"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__advance.html#a0514c843d051b8ee16adfb349eaee6a7">mod_oasis_advance::oasis_advance_map</a> (av1, avd, mapper, conserv, consopt, avon, av2, av3, av4, av5, tstrinp)</td></tr>
<tr class="memdesc:a0514c843d051b8ee16adfb349eaee6a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provides interpolation functionality.  <a href="namespacemod__oasis__advance.html#a0514c843d051b8ee16adfb349eaee6a7">More...</a><br /></td></tr>
<tr class="separator:a0514c843d051b8ee16adfb349eaee6a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf8f4a02082ba2d9f32f0835ad14e11d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__advance.html#acf8f4a02082ba2d9f32f0835ad14e11d">mod_oasis_advance::oasis_advance_avsum</a> (av, sum, gsmap, mpicom, mask, wts, consopt)</td></tr>
<tr class="memdesc:acf8f4a02082ba2d9f32f0835ad14e11d"><td class="mdescLeft">&#160;</td><td class="mdescRight">A generic method for summing fields in an attribute vector.  <a href="namespacemod__oasis__advance.html#acf8f4a02082ba2d9f32f0835ad14e11d">More...</a><br /></td></tr>
<tr class="separator:acf8f4a02082ba2d9f32f0835ad14e11d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af611b26fe4601ded488fd5d3c03b12a2"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__advance.html#af611b26fe4601ded488fd5d3c03b12a2">mod_oasis_advance::oasis_advance_avdiag</a> (av, mpicom, mask, wts)</td></tr>
<tr class="memdesc:af611b26fe4601ded488fd5d3c03b12a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">A generic method for writing the global sums of fields in an attribute vector.  <a href="namespacemod__oasis__advance.html#af611b26fe4601ded488fd5d3c03b12a2">More...</a><br /></td></tr>
<tr class="separator:af611b26fe4601ded488fd5d3c03b12a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ac617024af9299c27eaeb9156f647b028"><td class="memItemLeft" align="right" valign="top">logical, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__advance.html#ac617024af9299c27eaeb9156f647b028">mod_oasis_advance::map_barrier</a> = .false.</td></tr>
<tr class="separator:ac617024af9299c27eaeb9156f647b028"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad8e5c2e16b0270a7da0800a14ae1e07"><td class="memItemLeft" align="right" valign="top">logical, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__advance.html#aad8e5c2e16b0270a7da0800a14ae1e07">mod_oasis_advance::detailed_map_timing</a> = .false.</td></tr>
<tr class="separator:aad8e5c2e16b0270a7da0800a14ae1e07"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Jun 29 2018 20:52:29 for Oasis3-MCT by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
